Separate install script for CoCoALib?
Description

The install target in the top Makefile for CoCoALib is about 70 lines long.

It would probably be better to make a separate script to do the installation.

Investigate and decide!

Related issues:

Related to CoCoALib - Feature #1005: Makefile: install target for CoCoALib Closed 01 Feb 2017

History

#1 - 16 Nov 2017 17:13 - John Abbott

A crucial aspect is passing to the script all the values it will need (including a path which might contain awkward chars).

If all goes well, it should take only 1-2 hours to make the script and test it (with some nasty inputs too).

#2 - 25 Jun 2018 15:33 - John Abbott

- Related to Feature #1005: Makefile: install target for CoCoALib added

#3 - 03 Aug 2018 16:54 - John Abbott

- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#4 - 23 Sep 2019 12:55 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#5 - 09 Jan 2020 12:25 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#6 - 29 Oct 2020 13:43 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

Ideally the installation process should also make available an easy way to uninstall the installed stuff.

We also need a good definition of "uninstall": e.g. currently installation includes making some symbolic links, say from libcocoa.a to

libcocoa-0.99720.a.

What happens to the symbolic links if we uninstall?  The links may have been pointing somewhere else (e.g. older version) prior to installation...

Presumably uninstallation should remove all newly added files and dirs... ideally everything should be in a single dir (or perhaps two?)
#7 - 23 Jan 2024 21:54 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
